﻿@model Pl.Models.EducationWithLevels

@{
    ViewBag.Title = "Edit Education";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="d-flex flex-column w-100 align-items-center">
    <div class="d-flex w-100 justify-content-center">
        <h2 class="d-flex">Edit Education</h2>
    </div>
    <div class="d-flex justify-content-center w-100">
        <div class="border border-2 border-dark rounded-1 p-2 w-75 mb-5">
            @using (Html.BeginForm("EditEducation", "Education", FormMethod.Post))
            {
                @Html.AntiForgeryToken()
                @Html.HiddenFor(model => model.EducationModel.Id)
                @Html.HiddenFor(model => model.EducationModel.UserId)
                <div class="form-horizontal">
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })

                    <div class="mb-3">
                        @Html.LabelFor(model => model.EducationModel.EducationalInstitution, "Educational Institution", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.EducationModel.EducationalInstitution, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.EducationModel.EducationalInstitution, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.EducationModel.Department, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.EducationModel.Department, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.EducationModel.Department, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.EducationModel.YearStart, "Year Start", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.EducationModel.YearStart, new { htmlAttributes = new { @class = "form-control", max = DateTime.Now.Year, min = 1900 } })
                            @Html.ValidationMessageFor(model => model.EducationModel.YearStart, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.EducationModel.YearEnd, "Year End", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            @Html.EditorFor(model => model.EducationModel.YearEnd, new { htmlAttributes = new { @class = "form-control", max = DateTime.Now.AddYears(10).Year, min = 1900 } })
                            @Html.ValidationMessageFor(model => model.EducationModel.YearEnd, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="mb-3">
                        @Html.LabelFor(model => model.EducationModel.EducationLevelId, "Select Education Level", htmlAttributes: new { @class = "control-label col-md-2 w-100" })
                        <div class="col-md-10 w-100">
                            <select class="form-select form-select-lg mb-3" name="EducationModel.EducationLevelId" required>
                                @foreach (var item in Model.EducationLevelModels)
                                {
                                    if (item.Id == Model.EducationModel.EducationLevelId)
                                    {
                                        <option value="@item.Id" selected>@item.Name</option>
                                    }
                                    else
                                    {
                                        <option value="@item.Id">@item.Name</option>
                                    }
                                }
                            </select>
                        </div>
                    </div>

                    <div class="d-flex justify-content-center">
                        <button type="submit" class="btn btn-primary d-flex">Save changes</button>
                    </div>
                </div>
            }

            @section Scripts {
                @Scripts.Render("~/bundles/jqueryval")
            }
        </div>
    </div>
</div>
